FileControllerGetReferencedBy Method |
GET /File/ReferencedBy/{id}/
Gets the files referenced by the specified file.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("ReferencedBy")]
public IActionResult GetReferencedBy(
Guid id,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("ReferencedBy")>
Public Function GetReferencedBy (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"ReferencedBy")]
IActionResult^ GetReferencedBy(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("ReferencedBy")>]
member GetReferencedBy :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the entity to check. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult
An array of
ProjectData, or a status code indicating the reason for failure.
See Also